# MessageReceiver Class Reference

A multiple message receiver. More...

`#include <yatengine.h>`

Inheritance diagram for MessageReceiver:

List of all members.

## Public Member Functions

virtual bool | received (Message &msg, int id)=0

## Detailed Description

A multiple message receiver.

A multiple message receiver to be invoked by a message relay

## Member Function Documentation

virtual bool received | ( | Message & | msg,
|  | int | id |
| ) |  |  | `[pure virtual]`

This method is called from the message relay.

Parameters:

  | msg | The received message
  | id | The identifier with which the relay was created

Returns:
  True to stop processing, false to try other handlers

Implemented in Module, and Driver.

The documentation for this class was generated from the following file:

- yatengine.h